New to KendoReact? Learn about KendoReact Free.

Getting Started with the KendoReact Layout

Updated on Sep 2, 2026

This guide provides essential information about using the KendoReact Layout package—you will learn how to install the package, add a PanelBar component to your project, style the component, and activate your license. The steps demonstrated in this guide are applicable to all KendoReact Layout components.

After completing this guide, you will be able to reproduce the following example.

Example
View Source
Loading ...

Before You Begin

To follow the steps in this guide, you need to have a React project set up. If you don't have one, you can create a new React application using Vite by running the following command in your terminal:

sh
npm create vite@latest my-app -- --template react

This guide requires that you have basic knowledge of React and TypeScript, and that you have already created a blank React project.

You can speed up the development of your KendoReact application with the Kendo UI Template Wizard for Visual Studio Code.

Install the Component

Navigate to the root folder of your React project and run the following command:

sh
npm i @progress/kendo-react-layout @progress/kendo-theme-meridian

Run these commands in the root of your React project to install the KendoReact Layout package and its dependencies, and the Kendo UI Meridian theme.

Import the Component

After installing the Layout package, import the desired components in the React App.

In the src/App.js file of your React project, import the PanelBar component from the Layout package. To use items in the PanelBar, add the PanelBarItem component as well.

tsx
// ES2015 module syntax
import { PanelBar, PanelBarItem } from '@progress/kendo-react-layout';
tsx
// CommonJS format
const { PanelBar, PanelBarItem } = require('@progress/kendo-react-layout');

Place the import statements in the App component file (for example: src/App.tsx) for your project.

Use the Component

  1. After installing the Layout package and importing the components, add the tags of the desired components to the src/App.tsx file in your project.

    tsx
    const App = () => {
        return (
            <PanelBar>
                <PanelBarItem title={'Teams'}>
                    <PanelBarItem title={'Team 1'} />
                    <PanelBarItem title={'Team 2'} />
                </PanelBarItem>
                <PanelBarItem title="Releases">
                    <PanelBarItem title="Q1 2021" />
                    <PanelBarItem title="Q2 2021" />
                </PanelBarItem>
            </PanelBar>
        );
    };
    
    export default App;
  2. Build and run the application by typing the following command in the root folder of your project:

    sh
    npm start
  3. Navigate to http://localhost:3000 to see the KendoReact PanelBar component on the page.

Style the Component

Are you looking for guidance around how to create visually appealing and consistent user interfaces with Telerik UI components? Check out the Progress Design System.

To use the built-in styling of the components, start by installing a theme:

sh
npm i @progress/kendo-theme-meridian

With the import "@progress/kendo-theme-meridian/dist/all.css"; statement present in your code, you already have professionally designed styling applied to your app out-of-box. You can also try any of the other available Kendo UI Themes.

Next Steps

Now try to add another component from the Layouts package yourself. The procedures for installing, importing, and using the layout components are identical for all components in the package.

The Layout package provides the following components:

KendoReact Layout APIs

Layout API

KendoReact Layout Dependencies

The Layout package requires you to install the following peer dependencies in your application:

Package NameDescription
react 18.0.0*Contains the functionality necessary to define React components.
react-domContains the React renderer for the web.
@progress/kendo-licensingContains the internal infrastructure related to licensing.
@progress/kendo-react-progressbarsContains the KendoReact ProgressBar component.
@progress/kendo-react-intlContains the KendoReact Internationalization package that applies the desired cultures by providing services and pipes for the parsing and formatting of dates and numbers.
@progress/kendo-svg-iconsContains the KendoReact SVG icons.
@progress/kendo-react-animationEnables the animations in the KendoReact components.
@progress/kendo-react-buttonsContains the KendoReact Button components.
@progress/kendo-react-commonContains common utilities that enhance the performance and functionalities of the KendoReact UI components.
@progress/kendo-react-popupContains positioning logic for the Popup component.
@progress/kendo-react-progressbarsContains the KendoReact ProgressBar component.

Activating Your License Key

Important: The KendoReact Layout components have both free and premium features that require a license key file to be installed in your project. This applies to both trial and commercial usage:

Without a valid license key file, the premium features will display licensing warnings and watermarks.

Follow the instructions on the KendoReact My License page to download and install your license key file. You can skip this step if your application already contains a KendoReact license file.

Getting Started with the Kendo UI for Angular Layout

Updated on Sep 15, 2026

This guide provides the information you need to start using the Kendo UI for Angular Layout—it includes instructions about the recommended installation approach, the code for running the project, and links to additional resources.

As of version 17.0.0, Angular makes standalone component enabled by default. If you use NgModules, refer to these articles:

The standalone components in Angular streamline development by removing the need for NgModules, reducing complexity, and enhancing component reuse and modularity. This approach simplifies dependency management, making applications more maintainable and scalable.

ninja-iconThe Installation is part of Kendo UI for Angular, a professional grade UI library with 110+ components for building modern and feature-rich applications. To try it out sign up for a free 30-day trial.Start Free Trial

After the completion of this guide, you will be able to achieve an end result as demonstrated in the following example.

Example
View Source
Loading ...

Before You Begin

Before you start with the installation of any Kendo UI for Angular control, ensure that you have a running Angular project. The prerequisites to accomplish the installation of the components are always the same regardless of the Kendo UI for Angular package you want to use, and are fully described in the section on setting up your Angular project.

Installing the Components

The following command demonstrates an efficient, automated method for adding packages using the Angular CLI through the ng-add command. This approach saves time and effort by executing a series of commands in a single step, which otherwise need to be run individually. Refer to the Manual Setup for more details.

To add the Kendo UI for Angular Layout package:

  1. Run the following command.

    sh
    ng add @progress/kendo-angular-layout

    As a result, the ng-add command will perform the following actions:

    • Add the @progress/kendo-angular-layout package as a dependency to the package.json file.
    • Add all required peer dependencies to the package.json file.
    • Register the Kendo UI Meridian theme in the angular.json file.
    • Trigger npm install to install the theme and all peer packages that are added.
  2. Import the required components, directives and utility arrays:

    The utility arrays are available starting from v16.6.0. If you use an older version of the package, please follow the approach from the Using Kendo Angular Components with NgModules article.

    • To add all components from the Layout package, import the KENDO_LAYOUT utility array in your standalone component.

      ts
      import { Component } from '@angular/core';
      import { KENDO_LAYOUT } from '@progress/kendo-angular-layout';
      
      @Component({
          standalone: true,
          selector: 'my-app',
          imports: [KENDO_LAYOUT]
      })
    • To add individual Layout components, import the corresponding utility arrays in your standalone component. See the list of available utility arrays.

      For example if you only need the PanelBar component, import KENDO_PANELBAR.

      ts
      import { Component } from '@angular/core';
      import { KENDO_PANELBAR } from '@progress/kendo-angular-layout';
      
      @Component({
          standalone: true,
          selector: 'my-app',
          imports: [KENDO_PANELBAR]
      })

Using the Components

  1. After successfully installing the Layout package and importing the required components and directives, add the corresponding tags of the components you need in the app.component.html. For example, if you need the PanelBar, add the following code:

    html
    <kendo-panelbar>
        <kendo-panelbar-item title="Teams">
            <kendo-panelbar-item title="Team 1"></kendo-panelbar-item>
            <kendo-panelbar-item title="Team 2"></kendo-panelbar-item>
        </kendo-panelbar-item>
        <kendo-panelbar-item title="Releases">
            <kendo-panelbar-item title="Q1 2021"> </kendo-panelbar-item>
            <kendo-panelbar-item title="Q2 2021"> </kendo-panelbar-item>
        </kendo-panelbar-item>
    </kendo-panelbar>
  2. Build and serve the application by running the following command in the root folder.

    sh
    ng serve
  3. Point your browser to http://localhost:4200 to see the Kendo UI for Angular PanelBar component on the page.

Activating Your License Key

As of December 2020, using any of the UI components from the Kendo UI for Angular library requires either a commercial license key or an active trial license key. If your application does not contain a Kendo UI license file, activate your license key.

Next Steps

Learning Resources